package com.engine.salary.annotation;


import com.cloudstore.eccom.pc.table.WeaTableType;

import java.lang.annotation.*;

/**
 * 数据列表
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface SalaryTable {

    String pageId() default "";

    /**
     * 数据库字段，以','分割,例如:"id, name, description"
     */
    String fields() default "";

    /**
     * 表名 ,例如:"FROM hrsa_tax_agent"
     */
    String fromSql() default "";

    /**
     * 条件
     */
    String where() default "";

    /**
     * 分组
     */
    String groupby() default "";


    /**
     * 排序
     */
    String orderby() default "";

    /**
     * 主键
     */
    String primarykey() default "";

    /**
     * 去重
     */
    boolean distinct() default false;

    /**
     * 操作按钮
     */
    SalaryTableOperate[] operates() default {};

    /**
     * 列表选择框
     */
    WeaTableType tableType() default WeaTableType.NONE;

}
